Bug 25377 - Transfer does not change current item location
Summary: Transfer does not change current item location
Status: RESOLVED WORKSFORME
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P4 minor (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-05 12:19 UTC by Bohdan
Modified: 2020-10-09 12:18 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 25377: Notify librarian of completed transfers (3.60 KB, patch)
2020-10-09 12:12 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bohdan 2020-05-05 12:19:49 UTC
In version 19.05 when item was transfered it's current location changed to destination library and it's status indicated that it was in transit.
In version 19.11 item transfer does not change item's current location at all, only status is changed until transfer is received.
I have latest 19.11 install and did a fresh install just to test this.
Comment 1 Sally 2020-05-05 12:51:43 UTC
Hi Bohdan, I think this was a deliberate change of behaviour introduced by:  https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=23129

Koha's old behaviour was confusing for users:  if an item is sent from AAA to BBB, then the current location shouldn't change to BBB when the item leaves AAA (old behaviour), but should only change when the item has arrived and is checked in at BBB (new behaviour).
Comment 2 Katrin Fischer 2020-05-05 20:02:30 UTC
Sally was faster than me - we considered the previous behaviour a bug and it was changed.
Comment 3 Bohdan 2020-05-05 21:13:17 UTC
Thanks. 
Does this mean that checking in transferred item also changed?
I transfer item from AAA to BBB, then from location BBB go to transfers to receive and click "Cancel transfer". Previously clicking this button checked in the item in BBB, but now it just cancels the transfer and removes the status anyway.
Comment 4 Katrin Fischer 2020-05-05 21:28:36 UTC
I believe this is a different thing. Adding Martin as he has worked on transfers a lot.
Comment 5 Bohdan 2020-05-20 12:55:43 UTC
Was anyone able to figure out what could be wrong here?
Comment 6 Martin Renvoize 2020-05-20 22:27:17 UTC
My apologies, this has only just hit my radar.

My work within the transfers system that date has really just been around improved logging so we can see what triggered and transfer and when.

I can try to investigate this after the 20.05 release..
Comment 7 Jonathan Druart 2020-08-10 15:10:44 UTC
(In reply to Bohdan from comment #5)
> Was anyone able to figure out what could be wrong here?

I think that's the same idea. The holding branch of the item is not modified until the transfer is completed. If you "cancel" the transfer it means that the item did not reach its destination.
To complete the transaction you need to enter the barcode in the checkin module.

Does that make sense?
Comment 8 Martin Renvoize 2020-08-13 14:20:17 UTC
I agree with Jonathan here.. a 'cancellation' should result in the transfer being dropped and nothing happening to the holding location.. the item hasn't moved so should stay at the recorded holding branch...

De-escalating as I don't think this is a bug.. please feel free to re-escalate it with further details if you are still experiencing confusion Bohdan.
Comment 9 Katrin Fischer 2020-08-16 07:46:19 UTC
I agree too - if the transfer is cancelled we assume it has never reached the destination, otherwise it would be "finished". So it should remain at it's start library.
Comment 10 Humberto Blanco 2020-10-08 19:30:50 UTC
Jonathan Druart, 
I agree with you, but then I have two questions:
1. How the staff receives the transfers?
2. what is the meaning of the button to receive transfers that is in the circulation module?

We are using koha 20.05
Comment 11 Martin Renvoize 2020-10-09 10:51:13 UTC
My understanding of the workflow is that upon receiving the items, a staff member scans each of them for check-in. The act of checking them in marks the transfer as received (and updates the holding branch).

I just verified this, but note that we do not notify the user at all.. perhaps a message to the user would be appropriate here (we also appear to record a local use, which feels incorrect too)
Comment 12 Martin Renvoize 2020-10-09 12:12:15 UTC
Created attachment 111396 [details] [review]
Bug 25377: Notify librarian of completed transfers

It came to light that it's not clear to all users that a checkin results
in the completion of a transfer if one exists for the item being checked
in.  This patch adds such a notification to the error messages loop to
highlight that the item has been recieved from it's sending brnach.

To test
1/ Setup a transfer from branch A to branch B
2/ Check the item in at branch B
3/ Note that a new message appears in the 'Check in message' alert box
saying "Item recieved from branch A"
4/ Signoff
Comment 13 Martin Renvoize 2020-10-09 12:18:04 UTC
I've moved my patch to it's own bug as it makes more sense there.

I think we can close this bug as it appears to have been a misunderstanding of how the transfers feature is intended to work.
Comment 14 Martin Renvoize 2020-10-09 12:18:48 UTC
Bug 26643 for the bug which adds a notification of completion of transfers to the check-in page.